Skip to main content
GET
/
customers
List all customers
curl --request GET \
  --url https://api.getmembrane.com/customers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "internalId": "<string>",
      "meta": {},
      "fields": {},
      "credentials": {},
      "lastActiveAt": "<string>",
      "isTest": true,
      "isBillable": true,
      "isActive": true,
      "aiCreditsRolling30DayLimit": 1,
      "createdAt": "<string>",
      "archivedAt": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

isTest
boolean
isActive
boolean
limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

Text search query to filter results

includeArchived
boolean

Response

200 - application/json
items
object[]
required
cursor
string